## openvpn 2.6.7

=== sample/sample-plugins/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# sample/sample-plugins/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
#  OpenVPN -- An application to securely tunnel IP networks
#             over a single UDP port, with support for SSL/TLS-based
#             session authentication and key exchange,
#             packet encryption, packet authentication, and
#             packet compression.
#
#  Copyright (C) 2002-2023 OpenVPN Inc <sales@openvpn.net>
#

#  SPDX-License-Identifier: GPL-2.0-only
#
#  Copyright (C) 2020-2023 OpenVPN Inc <sales@openvpn.net>
#

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/openvpn
pkgincludedir = $(includedir)/openvpn
pkglibdir = $(libdir)/openvpn
pkglibexecdir = $(libexecdir)/openvpn
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = aarch64-apple-darwin22.6.0
host_triplet = aarch64-apple-darwin22.6.0
subdir = sample/sample-plugins
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_socklen_t.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/pkg.m4 \
	$(top_srcdir)/version.m4 $(top_srcdir)/compat.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/include/openvpn-plugin.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.plugins \
	README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AS = as
AUTOCONF = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' autoconf
AUTOHEADER = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' autoheader
AUTOMAKE = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' automake-1.16
AWK = awk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2 -std=c99
CMOCKA_CFLAGS = -I/opt/homebrew/Cellar/cmocka/1.1.7/include
CMOCKA_LIBS = -L/opt/homebrew/Cellar/cmocka/1.1.7/lib -lcmocka
CPP = gcc -E
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DL_LIBS = -ldl
DSYMUTIL = dsymutil
DUMPBIN = 
ECHO_C = \c
ECHO_N = 
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_UNITTESTS = 
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GIT = git
GREP = /usr/bin/grep
IFCONFIG = /sbin/ifconfig
INSTALL = /opt/homebrew/opt/coreutils/libexec/gnubin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
IPROUTE = 
LD = /Library/Developer/CommandLineTools/usr/bin/ld
LDFLAGS = 
LIBCAPNG_CFLAGS = 
LIBCAPNG_LIBS = 
LIBNL_GENL_CFLAGS = 
LIBNL_GENL_LIBS = 
LIBOBJS = 
LIBPAM_CFLAGS = 
LIBPAM_LIBS = -lpam
LIBS = -lresolv 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = lipo
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
LZ4_CFLAGS = 
LZ4_LIBS = 
LZO_CFLAGS = 
LZO_LIBS = 
MAKEINFO = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' makeinfo
MANIFEST_TOOL = :
MBEDTLS_CFLAGS = 
MBEDTLS_LIBS = 
MKDIR_P = /opt/homebrew/opt/coreutils/libexec/gnubin/mkdir -p
NETSTAT = netstat
NM = /usr/bin/nm -B
NMEDIT = nmedit
OBJDUMP = objdump
OBJEXT = o
OPENSSL_CFLAGS = -I/opt/homebrew/Cellar/openssl@3/3.1.2/include
OPENSSL_LIBS = -L/opt/homebrew/Cellar/openssl@3/3.1.2/lib -lssl -lcrypto
OPENVPN_VERSION_MAJOR = 2
OPENVPN_VERSION_MINOR = 6
OPENVPN_VERSION_PATCH = .7
OPTIONAL_CRYPTO_CFLAGS =  -I/opt/homebrew/Cellar/openssl@3/3.1.2/include
OPTIONAL_CRYPTO_LIBS =  -L/opt/homebrew/Cellar/openssl@3/3.1.2/lib -lssl -lcrypto
OPTIONAL_DL_LIBS = -ldl
OPTIONAL_INOTIFY_CFLAGS = 
OPTIONAL_INOTIFY_LIBS = 
OPTIONAL_LZ4_CFLAGS = 
OPTIONAL_LZ4_LIBS = 
OPTIONAL_LZO_CFLAGS = 
OPTIONAL_LZO_LIBS = 
OPTIONAL_PKCS11_HELPER_CFLAGS = 
OPTIONAL_PKCS11_HELPER_LIBS = 
OPTIONAL_SELINUX_LIBS = 
OPTIONAL_SYSTEMD_LIBS = 
OTOOL = otool
OTOOL64 = :
P11KIT_CFLAGS = 
P11KIT_LIBS = 
PACKAGE = openvpn
PACKAGE_BUGREPORT = openvpn-users@lists.sourceforge.net
PACKAGE_NAME = OpenVPN
PACKAGE_STRING = OpenVPN 2.6.7
PACKAGE_TARNAME = openvpn
PACKAGE_URL = 
PACKAGE_VERSION = 2.6.7
PATH_SEPARATOR = :
PKCS11_HELPER_CFLAGS = 
PKCS11_HELPER_LIBS = 
PKG_CONFIG = /opt/homebrew/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PLUGINDIR = 
PLUGIN_AUTH_PAM_CFLAGS = 
PLUGIN_AUTH_PAM_LIBS = 
RANLIB = ranlib
RC = 
ROUTE = /sbin/route
RST2HTML = rst2html
RST2MAN = rst2man
SED = /opt/homebrew/opt/gnu-sed/libexec/gnubin/sed
SELINUX_LIBS = 
SET_MAKE = 
SHELL = /bin/sh
SOCKETS_LIBS =  -lresolv
STRIP = strip
SYSTEMD_ASK_PASSWORD = 
SYSTEMD_UNIT_DIR = 
TAP_CFLAGS = 
TAP_WIN_COMPONENT_ID = tap0901
TAP_WIN_MIN_MAJOR = 9
TAP_WIN_MIN_MINOR = 9
TEST_CFLAGS =  -I/opt/homebrew/Cellar/openssl@3/3.1.2/include   -I$(top_srcdir)/include -I/opt/homebrew/Cellar/cmocka/1.1.7/include
TEST_LDFLAGS =  -L/opt/homebrew/Cellar/openssl@3/3.1.2/lib -lssl -lcrypto   -L/opt/homebrew/Cellar/cmocka/1.1.7/lib -lcmocka
TMPFILES_DIR = 
VERSION = 2.6.7
WOLFSSL_CFLAGS = 
WOLFSSL_INCLUDEDIR = 
WOLFSSL_LIBS = 
abs_builddir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn/sample/sample-plugins
abs_srcdir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn/sample/sample-plugins
abs_top_builddir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn
abs_top_srcdir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = aarch64-apple-darwin22.6.0
build_alias = 
build_cpu = aarch64
build_os = darwin22.6.0
build_vendor = apple
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = aarch64-apple-darwin22.6.0
host_alias = 
host_cpu = aarch64
host_os = darwin22.6.0
host_vendor = apple
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /Users/uddr/devel/openvpn/openvpn-build/src/openvpn/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libsystemd_CFLAGS = 
libsystemd_LIBS = 
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
plugindir = ${libdir}/openvpn/plugins
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sampledir = $(docdir)/sample
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
systemdunitdir = 
target_alias = 
tmpfilesdir = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
MAINTAINERCLEANFILES = \
	$(srcdir)/Makefile.in

AM_CPPFLAGS = -I$(top_srcdir) -I$(top_builddir) \
	-I$(top_srcdir)/include -I$(top_builddir)/include


#
# Plug-ins to build - listed entries should not carry any extensions
#
PLUGINS = \
	defer/multi-auth \
	keying-material-exporter-demo/keyingmaterialexporter \
	log/log log/log_v3 \
	simple/base64 \
	simple/simple \
	client-connect/sample-client-connect

all: all-am

.SUFFIXES:
.SUFFIXES: .c .o
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.plugins $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign sample/sample-plugins/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign sample/sample-plugins/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;
$(srcdir)/Makefile.plugins $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:

distdir: $(BUILT_SOURCES)

=== debian/changelog ===
openvpn (2.6.7-1) unstable; urgency=medium

  [ Aquila Macedo ]
  * d/control: bump debhelper-compat level to 13.
  * d/patches: Remove outdated patches
  * d/patches: fix typo in openvpn binary
  * d/patches: fix typo in manpages
  * d/copyright: Update license to BSD-2
  * d/openvpn.service: add documentation

  [ Bernhard Schmidt ]
  * New upstream version 2.6.7, fixing two CVEs (Closes: #1055805)
    - CVE-2023-46849: Use of --fragment option can lead to a division by zero
      error which can be fatal
    - CVE-2023-46850: Incorrect use of send buffer can cause memory to be sent
      to peer
  * Pick patch recommended by upstream in GH#449 to fix segfault
    introduced in 2.6.7

  [ Remus-Gabriel Chelu ]
  * Add Romanian templates translation (Closes: #1033179)

 -- Bernhard Schmidt <berni@debian.org>  Sat, 11 Nov 2023 22:01:15 +0100

openvpn (2.6.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Do not install systemd units twice (Closes: #1054083)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 27 Oct 2023 16:26:34 +0200

=== debian/control ===
Source: openvpn
Section: net
Priority: optional
Maintainer: Bernhard Schmidt <berni@debian.org>
Uploaders: Jörg Frings-Fürst <debian@jff.email>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.16.1),
 libcap-ng-dev [linux-any],
 liblz4-dev,
 liblzo2-dev,
 libnl-genl-3-dev [linux-any],
 libp11-kit-dev,
 libpam0g-dev,
 libpkcs11-helper1-dev,
 libssl-dev,
 libsystemd-dev [linux-any],
 net-tools [!linux-any],
 pkg-config,
 python3-docutils,
 systemd [linux-any]
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://openvpn.net/
Vcs-Git: https://salsa.debian.org/debian/openvpn.git
Vcs-Browser: https://salsa.debian.org/debian/openvpn

Package: openvpn
Architecture: any
Depends:
 debconf | debconf-2.0,
 ${shlibs:Depends},
 ${misc:Depends},
 net-tools [!linux-any],
Suggests:
 openssl,
 resolvconf,
 openvpn-dco-dkms,
 openvpn-systemd-resolved,
Recommends: easy-rsa
Description: virtual private network daemon
 OpenVPN is an application to securely tunnel IP networks over a
 single UDP or TCP port. It can be used to access remote sites, make
 secure point-to-point connections, enhance wireless security, etc.
 .
 OpenVPN uses all of the encryption, authentication, and certification
 features provided by the OpenSSL library (any cipher, key size, or
 HMAC digest).
 .
 OpenVPN may use static, pre-shared keys or TLS-based dynamic key exchange. It
 also supports VPNs with dynamic endpoints (DHCP or dial-up clients), tunnels
 over NAT or connection-oriented stateful firewalls (such as Linux's iptables).

## openvpn 2.6.9

=== sample/sample-plugins/Makefile ===
--- 
+++ 
@@ -100,8 +100,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = aarch64-apple-darwin22.6.0
-host_triplet = aarch64-apple-darwin22.6.0
+build_triplet = x86_64-pc-linux-gnu
+host_triplet = x86_64-pc-linux-gnu
 subdir = sample/sample-plugins
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_socklen_t.m4 \
@@ -141,20 +141,20 @@
 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.plugins \
 	README
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' aclocal-1.16
+ACLOCAL = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' aclocal-1.16
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
 AR = ar
 AS = as
-AUTOCONF = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' autoconf
-AUTOHEADER = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' autoheader
-AUTOMAKE = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' automake-1.16
-AWK = awk
+AUTOCONF = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' autoconf
+AUTOHEADER = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' autoheader
+AUTOMAKE = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' automake-1.16
+AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -Wall -g -O2 -std=c99
-CMOCKA_CFLAGS = -I/opt/homebrew/Cellar/cmocka/1.1.7/include
-CMOCKA_LIBS = -L/opt/homebrew/Cellar/cmocka/1.1.7/lib -lcmocka
+CFLAGS = -Wall -Wno-stringop-truncation -g -O2 -std=c99 
+CMOCKA_CFLAGS = 
+CMOCKA_LIBS = -lcmocka
 CPP = gcc -E
 CPPFLAGS = 
 CSCOPE = cscope
@@ -164,62 +164,61 @@
 DEPDIR = .deps
 DLLTOOL = false
 DL_LIBS = -ldl
-DSYMUTIL = dsymutil
+DSYMUTIL = 
 DUMPBIN = 
-ECHO_C = \c
-ECHO_N = 
+ECHO_C = 
+ECHO_N = -n
 ECHO_T = 
 EGREP = /usr/bin/grep -E
 ENABLE_UNITTESTS = 
 ETAGS = etags
 EXEEXT = 
 FGREP = /usr/bin/grep -F
-FILECMD = file
 GIT = git
 GREP = /usr/bin/grep
-IFCONFIG = /sbin/ifconfig
-INSTALL = /opt/homebrew/opt/coreutils/libexec/gnubin/install -c
+IFCONFIG = /usr/sbin/ifconfig
+INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-IPROUTE = 
-LD = /Library/Developer/CommandLineTools/usr/bin/ld
+IPROUTE = /usr/sbin/ip
+LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
 LIBCAPNG_CFLAGS = 
-LIBCAPNG_LIBS = 
+LIBCAPNG_LIBS = -lcap-ng
 LIBNL_GENL_CFLAGS = 
 LIBNL_GENL_LIBS = 
 LIBOBJS = 
 LIBPAM_CFLAGS = 
 LIBPAM_LIBS = -lpam
-LIBS = -lresolv 
+LIBS =  -lcap-ng
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
-LIPO = lipo
+LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
 LT_SYS_LIBRARY_PATH = 
 LZ4_CFLAGS = 
 LZ4_LIBS = 
 LZO_CFLAGS = 
-LZO_LIBS = 
-MAKEINFO = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' makeinfo
+LZO_LIBS = -llzo2
+MAKEINFO = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' makeinfo
 MANIFEST_TOOL = :
 MBEDTLS_CFLAGS = 
 MBEDTLS_LIBS = 
-MKDIR_P = /opt/homebrew/opt/coreutils/libexec/gnubin/mkdir -p
+MKDIR_P = /usr/bin/mkdir -p
 NETSTAT = netstat
 NM = /usr/bin/nm -B
-NMEDIT = nmedit
+NMEDIT = 
 OBJDUMP = objdump
 OBJEXT = o
-OPENSSL_CFLAGS = -I/opt/homebrew/Cellar/openssl@3/3.1.2/include
-OPENSSL_LIBS = -L/opt/homebrew/Cellar/openssl@3/3.1.2/lib -lssl -lcrypto
+OPENSSL_CFLAGS = 
+OPENSSL_LIBS = -lssl -lcrypto
 OPENVPN_VERSION_MAJOR = 2
 OPENVPN_VERSION_MINOR = 6
-OPENVPN_VERSION_PATCH = .7
-OPTIONAL_CRYPTO_CFLAGS =  -I/opt/homebrew/Cellar/openssl@3/3.1.2/include
-OPTIONAL_CRYPTO_LIBS =  -L/opt/homebrew/Cellar/openssl@3/3.1.2/lib -lssl -lcrypto
+OPENVPN_VERSION_PATCH = .9
+OPTIONAL_CRYPTO_CFLAGS =  
+OPTIONAL_CRYPTO_LIBS =  -lssl -lcrypto
 OPTIONAL_DL_LIBS = -ldl
 OPTIONAL_INOTIFY_CFLAGS = 
 OPTIONAL_INOTIFY_LIBS = 
@@ -231,21 +230,21 @@
 OPTIONAL_PKCS11_HELPER_LIBS = 
 OPTIONAL_SELINUX_LIBS = 
 OPTIONAL_SYSTEMD_LIBS = 
-OTOOL = otool
-OTOOL64 = :
+OTOOL = 
+OTOOL64 = 
 P11KIT_CFLAGS = 
 P11KIT_LIBS = 
 PACKAGE = openvpn
 PACKAGE_BUGREPORT = openvpn-users@lists.sourceforge.net
 PACKAGE_NAME = OpenVPN
-PACKAGE_STRING = OpenVPN 2.6.7
+PACKAGE_STRING = OpenVPN 2.6.9
 PACKAGE_TARNAME = openvpn
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.6.7
+PACKAGE_VERSION = 2.6.9
 PATH_SEPARATOR = :
 PKCS11_HELPER_CFLAGS = 
-PKCS11_HELPER_LIBS = 
-PKG_CONFIG = /opt/homebrew/bin/pkg-config
+PKCS11_HELPER_LIBS = -lpthread -ldl -lcrypto -lpkcs11-helper
+PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
 PLUGINDIR = 
@@ -253,32 +252,32 @@
 PLUGIN_AUTH_PAM_LIBS = 
 RANLIB = ranlib
 RC = 
-ROUTE = /sbin/route
+ROUTE = /usr/sbin/route
 RST2HTML = rst2html
 RST2MAN = rst2man
-SED = /opt/homebrew/opt/gnu-sed/libexec/gnubin/sed
-SELINUX_LIBS = 
+SED = /usr/bin/sed
+SELINUX_LIBS = -lselinux
 SET_MAKE = 
-SHELL = /bin/sh
-SOCKETS_LIBS =  -lresolv
+SHELL = /bin/bash
+SOCKETS_LIBS =  -lnsl -lresolv
 STRIP = strip
-SYSTEMD_ASK_PASSWORD = 
+SYSTEMD_ASK_PASSWORD = /usr/bin/systemd-ask-password
 SYSTEMD_UNIT_DIR = 
 TAP_CFLAGS = 
 TAP_WIN_COMPONENT_ID = tap0901
 TAP_WIN_MIN_MAJOR = 9
 TAP_WIN_MIN_MINOR = 9
-TEST_CFLAGS =  -I/opt/homebrew/Cellar/openssl@3/3.1.2/include   -I$(top_srcdir)/include -I/opt/homebrew/Cellar/cmocka/1.1.7/include
-TEST_LDFLAGS =  -L/opt/homebrew/Cellar/openssl@3/3.1.2/lib -lssl -lcrypto   -L/opt/homebrew/Cellar/cmocka/1.1.7/lib -lcmocka
+TEST_CFLAGS =     -I$(top_srcdir)/include 
+TEST_LDFLAGS =  -lssl -lcrypto   -lcmocka
 TMPFILES_DIR = 
-VERSION = 2.6.7
+VERSION = 2.6.9
 WOLFSSL_CFLAGS = 
 WOLFSSL_INCLUDEDIR = 
 WOLFSSL_LIBS = 
-abs_builddir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn/sample/sample-plugins
-abs_srcdir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn/sample/sample-plugins
-abs_top_builddir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn
-abs_top_srcdir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn
+abs_builddir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/sample/sample-plugins
+abs_srcdir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/sample/sample-plugins
+abs_top_builddir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn
+abs_top_srcdir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
@@ -288,26 +287,26 @@
 am__tar = $${TAR-tar} chof - "$$tardir"
 am__untar = $${TAR-tar} xf -
 bindir = ${exec_prefix}/bin
-build = aarch64-apple-darwin22.6.0
+build = x86_64-pc-linux-gnu
 build_alias = 
-build_cpu = aarch64
-build_os = darwin22.6.0
-build_vendor = apple
+build_cpu = x86_64
+build_os = linux-gnu
+build_vendor = pc
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = aarch64-apple-darwin22.6.0
+host = x86_64-pc-linux-gnu
 host_alias = 
-host_cpu = aarch64
-host_os = darwin22.6.0
-host_vendor = apple
+host_cpu = x86_64
+host_os = linux-gnu
+host_vendor = pc
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /Users/uddr/devel/openvpn/openvpn-build/src/openvpn/install-sh
+install_sh = ${SHELL} /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 libsystemd_CFLAGS = 
@@ -399,3 +398,13 @@
 cscope cscopelist:
 
 distdir: $(BUILT_SOURCES)
+	$(MAKE) $(AM_MAKEFLAGS) distdir-am
+
+distdir-am: $(DISTFILES)
+	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	list='$(DISTFILES)'; \
+	  dist_files=`for file in $$list; do echo $$file; done | \
+	  sed -e "s|^$$srcdirstrip/||;t" \
+	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+	case $$dist_files in \

=== debian/changelog ===
openvpn (2.6.9-1ubuntu4) noble; urgency=high

  * No change rebuild against libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:47:03 +0200

openvpn (2.6.9-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:23:46 +0000

openvpn (2.6.9-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:31:57 +0000

openvpn (2.6.9-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Feb 2024 17:22:31 +0100

openvpn (2.6.9-1) unstable; urgency=medium

  * New upstream version 2.6.9
  * Switch to systemd-dev (Closes: #1060500)
  * Install systemd generator and units into /usr. (Closes: #1064399)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 28 Feb 2024 08:43:25 +0100

openvpn (2.6.7-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Nov 2023 18:36:03 +0100

## openvpn 2.6.11

=== sample/sample-plugins/Makefile ===
--- 
+++ 
@@ -21,12 +21,12 @@
 #             packet encryption, packet authentication, and
 #             packet compression.
 #
-#  Copyright (C) 2002-2023 OpenVPN Inc <sales@openvpn.net>
+#  Copyright (C) 2002-2024 OpenVPN Inc <sales@openvpn.net>
 #
 
 #  SPDX-License-Identifier: GPL-2.0-only
 #
-#  Copyright (C) 2020-2023 OpenVPN Inc <sales@openvpn.net>
+#  Copyright (C) 2020-2024 OpenVPN Inc <sales@openvpn.net>
 #
 
 am__is_gnu_make = { \
@@ -216,7 +216,7 @@
 OPENSSL_LIBS = -lssl -lcrypto
 OPENVPN_VERSION_MAJOR = 2
 OPENVPN_VERSION_MINOR = 6
-OPENVPN_VERSION_PATCH = .9
+OPENVPN_VERSION_PATCH = .11
 OPTIONAL_CRYPTO_CFLAGS =  
 OPTIONAL_CRYPTO_LIBS =  -lssl -lcrypto
 OPTIONAL_DL_LIBS = -ldl
@@ -237,10 +237,10 @@
 PACKAGE = openvpn
 PACKAGE_BUGREPORT = openvpn-users@lists.sourceforge.net
 PACKAGE_NAME = OpenVPN
-PACKAGE_STRING = OpenVPN 2.6.9
+PACKAGE_STRING = OpenVPN 2.6.11
 PACKAGE_TARNAME = openvpn
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.6.9
+PACKAGE_VERSION = 2.6.11
 PATH_SEPARATOR = :
 PKCS11_HELPER_CFLAGS = 
 PKCS11_HELPER_LIBS = -lpthread -ldl -lcrypto -lpkcs11-helper
@@ -270,7 +270,7 @@
 TEST_CFLAGS =     -I$(top_srcdir)/include 
 TEST_LDFLAGS =  -lssl -lcrypto   -lcmocka
 TMPFILES_DIR = 
-VERSION = 2.6.9
+VERSION = 2.6.11
 WOLFSSL_CFLAGS = 
 WOLFSSL_INCLUDEDIR = 
 WOLFSSL_LIBS =

=== debian/changelog ===
openvpn (2.6.11-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 15:42:17 +0200

openvpn (2.6.11-1) unstable; urgency=medium

  * New upstream version 2.6.11 (Closes: #1074488)
    - CVE-2024-28882
      client can circumvent management client-kill
    - CVE-2024-5594
      malicious peer can DoS or send garbage to logs
  * d/openvpn@.service: Add CAP_SETPCAP required for openvpn-dco-dkms
    (Closes: #1074504)
  * drop d/patches/systemd.patch, applied upstream

 -- Bernhard Schmidt <berni@debian.org>  Mon, 08 Jul 2024 00:06:59 +0200

openvpn (2.6.10-0ubuntu1) oracular; urgency=medium

  * New upstream version 2.6.10 (LP: #2064436)
    - Updates:
      + t_client.sh can now run pre-tests and skip a test block if needed.
      + Remove license warnings about mbedTLS linking.
      + Update documentation references in systemd unit files.
      + Remove obsolete tls-*.conf sample files.
      + document that auth-user-pass may be inlined.
    - Bug fixes:
      + Fix checking option consistency for compiled-in compression algorithm
        support.
      + Remove obsolete syslog.target in systemd unit files.
      + Additional Windows bug fixes.
    - See https://community.openvpn.net/openvpn/wiki/ChangesInOpenvpn26 for
      additional bug fixes and information.
  * d/p/systemd.patch: Remove - Fixed upstream

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 01 May 2024 10:02:39 -0700

## openvpn 2.6.12

=== debian/changelog ===
openvpn (2.6.12-0ubuntu0.24.04.3~bpo22.04.1) jammy-backports; urgency=medium

  * Backport to Jammy (LP: #2097688):
    - Fixes openvpn issues on FIPS enabled jammy systems
    - Fixed dependencies because systemctl-dev does not exist in jammy. Using
      systemd instead as the original jammy package.

 -- Jorge Merlino <jorge.merlino@canonical.com>  Wed, 30 Apr 2025 14:41:24 -0300

openvpn (2.6.12-0ubuntu0.24.04.3) noble-security; urgency=medium

  * SECURITY UPDATE: denial of service issue
    - debian/patches/CVE-2025-2704.patch: allow tls-crypt-v2 to be setup
      only on initial packet of a session in src/openvpn/ssl.c,
      src/openvpn/ssl_common.h, src/openvpn/ssl_pkt.c,
      src/openvpn/ssl_pkt.h, src/openvpn/tls_crypt.c,
      src/openvpn/tls_crypt.h, tests/unit_tests/openvpn/test_tls_crypt.c.
    - CVE-2025-2704

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 01 Apr 2025 12:06:17 -0400

openvpn (2.6.12-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream release 2.6.12 (LP: #2073318):
    - CVE Fixes:
      + CVE-2024-4877, CVE-2024-5594, CVE-2024-28882, CVE-2024-27459,
        CVE-2024-24974, CVE-2024-27903
    - Updates:
      + Allow trailing \r and \n in control channel message
      + Implement --server-poll-timeout on SOCKS proxies
      + Implement Windows CA template match for Crypto-API selector
      + Update sample configuration files
      + Update systemd unit file documentation references
    - Bug Fixes Include:
      + Fix issue with proxy credentials caching
      + Fix LibreSSL crashing when enumerating digests/cipher with workaround
      + Use snprintf instead of sprintf for get_ssl_library_version
      + Fix disabling DCO when proxy is set via management interface
      + See https://community.openvpn.net/openvpn/wiki/ChangesInOpenvpn26 for
        additional bug fixes and information
  * Remove patches fixed upstream:
    - d/p/systemd.patch
    [Fixed in 2.6.10]
    - d/p/CVE-2024-28882.patch
    - d/p/CVE-2024-5594.patch
    [Fixed in 2.6.11]

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 17 Sep 2024 10:27:52 -0700

openvpn (2.6.9-1ubuntu4.1) noble-security; urgency=medium

  * SECURITY UPDATE: client can circumvent management client-kill
    - debian/patches/CVE-2024-28882.patch: only schedule_exit() once in
      src/openvpn/forward.*, src/openvpn/push.c.
    - CVE-2024-28882
  * SECURITY UPDATE: malicious peer can DoS or send garbage to logs
    - debian/patches/CVE-2024-5594.patch: properly handle null bytes and
      invalid characters in control messages in src/openvpn/buffer.*,
      src/openvpn/forward.c, tests/unit_tests/openvpn/test_buffer.c.
    - CVE-2024-5594

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 27 Jun 2024 14:21:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openvpn
 Section: net
 Priority: optional
-Maintainer: Bernhard Schmidt <berni@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernhard Schmidt <berni@debian.org>
 Uploaders: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
  debhelper-compat (= 13),
@@ -37,7 +38,7 @@
  resolvconf,
  openvpn-dco-dkms,
  openvpn-systemd-resolved,
-Recommends: easy-rsa
+ easy-rsa
 Description: virtual private network daemon
  OpenVPN is an application to securely tunnel IP networks over a
  single UDP or TCP port. It can be used to access remote sites, make

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
# Avoid the /sbin/route wrapper which doesn't provide FreeBSD CLI as expected
ENV_VARS	:= IFCONFIG=/sbin/ifconfig ROUTE=/lib/freebsd/route
EXTRA_ARGS	:=
else
ENV_VARS	:= SYSTEMD_ASK_PASSWORD=/usr/bin/systemd-ask-password SYSTEMD_UNIT_DIR=/usr/lib/systemd/system TMPFILES_DIR=/usr/lib/tmpfiles.d
EXTRA_ARGS	:= --enable-systemd --enable-dco
endif

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	-test -f tests/t_client.sh.not || mv tests/t_client.sh tests/t_client.sh.not
	$(ENV_VARS) dh_auto_configure -- $(shell dpkg-buildflags --export=configure) --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --includedir=\$${prefix}/include/openvpn \
		--disable-unit-tests \
		--enable-pkcs11 \
		--enable-x509-alt-username \
		$(EXTRA_ARGS)


override_dh_auto_build:
	dh_auto_build
	# The one shipped in the tarball gets rebuild (chaging /bin/sh in some cases)
	#sed -i -e '1s%.*%#!/bin/sh%' tests/t_client.sh
	# make plugins
	# $(MAKE) -C plugin/auth-pam/ $(shell dpkg-buildflags --export=configure)
	# $(MAKE) -C plugin/down-root/ $(shell dpkg-buildflags --export=configure)

# we may not want to run dh_auto_test
#override_dh_auto_test:

override_dh_auto_clean:
	# These two get deleted on "make clean", but come in the tarball
	# hack to keep them around after "make clean"
	-test -f distro/rpm/openvpn.spec.not || mv distro/rpm/openvpn.spec distro/rpm/openvpn.spec.not
	-test -f tests/t_client.sh.not || mv tests/t_client.sh tests/t_client.sh.not
	dh_auto_clean
	-test -f distro/rpm/openvpn.spec.not && mv distro/rpm/openvpn.spec.not distro/rpm/openvpn.spec
	-test -f tests/t_client.sh.not && mv tests/t_client.sh.not tests/t_client.sh
	# clean plugins
	# $(MAKE) -C plugin/auth-pam/ clean
	# $(MAKE) -C plugin/down-root/ clean

override_dh_clean:
	dh_clean -X win/openvpn.nsi.orig

override_dh_auto_install:
	dh_auto_install
	install -m 755 sample/sample-scripts/verify-cn $(CURDIR)/debian/openvpn/usr/share/openvpn
	install -m 755 debian/openvpn.if-up.d $(CURDIR)/debian/openvpn/etc/network/if-up.d/openvpn
	install -m 755 debian/openvpn.if-down.d $(CURDIR)/debian/openvpn/etc/network/if-down.d/openvpn
	# remove unwanted plugin files
	$(RM) $(CURDIR)/debian/openvpn/usr/lib/$(DEB_HOST_GNU_TYPE)/openvpn/plugins/*.la
	# resolvconf script
	install -m 755 debian/update-resolv-conf $(CURDIR)/debian/openvpn/etc/openvpn/update-resolv-conf
	# bash completion
	install -m 644 debian/openvpn.bash_completion $(CURDIR)/debian/openvpn/usr/share/bash-completion/completions/openvpn
	# append Debian's tmpfiles conf to upstream's on Linux (systemd)
ifeq ($(DEB_HOST_ARCH_OS), linux)
	cat debian/openvpn.conf >> $(CURDIR)/debian/openvpn/usr/lib/tmpfiles.d/openvpn.conf
endif
	$(RM) $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/COPYING

override_dh_link:
	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/openvpn/plugins/openvpn-plugin-auth-pam.so  usr/lib/openvpn/openvpn-plugin-auth-pam.so
	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/openvpn/plugins/openvpn-plugin-down-root.so usr/lib/openvpn/openvpn-plugin-down-root.so
	dh_link

override_dh_installexamples:
	dh_installexamples
	## remove windoze stuff
	$(RM) -r $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/easy-rsa/Windows
	$(RM) -r $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/sample
	# remove gitignore file from samples
	$(RM) $(CURDIR)/debian/openvpn/usr/share/doc/openvpn/examples/sample-keys/.gitignore

override_dh_installinit:
	dh_installinit --no-start -- defaults 16 80

override_dh_compress:
	dh_compress --exclude=.cnf --exclude=pkitool

override_dh_installsystemd:
	dh_installsystemd --no-restart-after-upgrade -r

=== debian/tests/control ===
Tests: server-setup-with-ca
Depends: openvpn, easy-rsa
Restrictions: needs-root, isolation-machine, allow-stderr

Tests: server-setup-with-static-key
Restrictions: needs-root, isolation-machine, allow-stderr

## openvpn 2.6.13

=== sample/sample-plugins/Makefile ===
--- 
+++ 
@@ -200,7 +200,7 @@
 LT_SYS_LIBRARY_PATH = 
 LZ4_CFLAGS = 
 LZ4_LIBS = 
-LZO_CFLAGS = 
+LZO_CFLAGS = -I/usr/lzo/lzo
 LZO_LIBS = -llzo2
 MAKEINFO = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' makeinfo
 MANIFEST_TOOL = :
@@ -216,7 +216,7 @@
 OPENSSL_LIBS = -lssl -lcrypto
 OPENVPN_VERSION_MAJOR = 2
 OPENVPN_VERSION_MINOR = 6
-OPENVPN_VERSION_PATCH = .11
+OPENVPN_VERSION_PATCH = .13
 OPTIONAL_CRYPTO_CFLAGS =  
 OPTIONAL_CRYPTO_LIBS =  -lssl -lcrypto
 OPTIONAL_DL_LIBS = -ldl
@@ -237,10 +237,10 @@
 PACKAGE = openvpn
 PACKAGE_BUGREPORT = openvpn-users@lists.sourceforge.net
 PACKAGE_NAME = OpenVPN
-PACKAGE_STRING = OpenVPN 2.6.11
+PACKAGE_STRING = OpenVPN 2.6.13
 PACKAGE_TARNAME = openvpn
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.6.11
+PACKAGE_VERSION = 2.6.13
 PATH_SEPARATOR = :
 PKCS11_HELPER_CFLAGS = 
 PKCS11_HELPER_LIBS = -lpthread -ldl -lcrypto -lpkcs11-helper
@@ -270,7 +270,7 @@
 TEST_CFLAGS =     -I$(top_srcdir)/include 
 TEST_LDFLAGS =  -lssl -lcrypto   -lcmocka
 TMPFILES_DIR = 
-VERSION = 2.6.11
+VERSION = 2.6.13
 WOLFSSL_CFLAGS = 
 WOLFSSL_INCLUDEDIR = 
 WOLFSSL_LIBS =

=== debian/changelog ===
openvpn (2.6.13-1ubuntu3) plucky; urgency=medium

  * SECURITY UPDATE: denial of service issue
    - debian/patches/CVE-2025-2704.patch: allow tls-crypt-v2 to be setup
      only on initial packet of a session in src/openvpn/ssl.c,
      src/openvpn/ssl_common.h, src/openvpn/ssl_pkt.c,
      src/openvpn/ssl_pkt.h, src/openvpn/tls_crypt.c,
      src/openvpn/tls_crypt.h, tests/unit_tests/openvpn/test_tls_crypt.c.
    - CVE-2025-2704

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 01 Apr 2025 12:03:56 -0400

openvpn (2.6.13-1ubuntu2) plucky; urgency=medium

  * d/t/control: Move to isolation-container to enable armhf/LXD coverage.
    (LP: #2104146)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 25 Mar 2025 14:47:41 +0100

openvpn (2.6.13-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Feb 2025 22:24:50 -0600

openvpn (2.6.13-1) unstable; urgency=medium

  * New upstream version 2.6.13 (Closes: #1095675)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 10 Feb 2025 22:09:11 +0100

openvpn (2.6.12-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 19 Jul 2024 17:47:31 +0200

openvpn (2.6.12-1) unstable; urgency=medium

  * New upstream version 2.6.12
    - Fix regression in CVE-2024-5594 patch breaking user configurations with
      AUTH_FAIL messages having trailing CR/NL characters. This often happens
      if the AUTH_FAIL reason is set by a script

 -- Bernhard Schmidt <berni@debian.org>  Thu, 18 Jul 2024 23:30:00 +0200
